%WARNING WORKSPACE WILL BE CLEARED

clc
clearvars
close all
dbstop error


%Uncomment one of the following lines and run

load TubularCuboid_filled.mat;r=.1;%radius of the fretting ball 
load Skull_filled;r=.025;



tetr=delaunayn(p);% tesselate points if not tesselated yet
t=BallFretting(tetr,p,r);%fret the surface


figure(1)

set(gcf,'position',[100 100 1000 600])
subplot(1,2,1);
hold on
axis equal
title('Filled Points Cloud','fontsize',14);
plot3(p(:,1),p(:,2),p(:,3),'g.');
subplot(1,2,2);
hold on
axis equal
title('Recostructed Surface','fontsize',14);
trisurf(t,p(:,1),p(:,2),p(:,3));
view(3);
axis vis3d


